=== modified file 'CMakeLists.txt'
--- CMakeLists.txt	2012-04-27 06:31:07 +0000
+++ CMakeLists.txt	2012-05-06 23:48:38 +0000
@@ -123,12 +123,16 @@
 # Compiz Plugins
 #
 set (UNITY_PLUGIN_DEPS "compiz;nux-2.0>=2.0.0;libbamf3;dee-1.0;gio-2.0;gio-unix-2.0;dbusmenu-glib-0.4;x11;libstartup-notification-1.0;gthread-2.0;indicator3-0.4>=0.4.90;atk;unity-misc>=0.4.0;gconf-2.0;libutouch-geis;gtk+-3.0>=3.1;sigc++-2.0;json-glib-1.0;libnotify;gnome-desktop-3.0;gdu;xfixes")
-
-add_subdirectory(plugins/unityshell)
-add_subdirectory(plugins/gtkloader)
-add_subdirectory(plugins/networkarearegion)
-add_subdirectory(plugins/unitydialog)
-add_subdirectory(plugins/unity-mt-grab-handles)
+find_package (PkgConfig)
+pkg_check_modules (CACHED_UNITY_DEPS REQUIRED ${UNITY_PLUGIN_DEPS})
+add_subdirectory(unity-shared)
+add_subdirectory(panel)
+add_subdirectory(dash)
+#add_subdirectory(plugins/unityshell)
+#add_subdirectory(plugins/gtkloader)
+#add_subdirectory(plugins/networkarearegion)
+#add_subdirectory(plugins/unitydialog)
+#add_subdirectory(plugins/unity-mt-grab-handles)
 
 # subdirs
 add_subdirectory(doc)
@@ -152,11 +156,11 @@
 endif(GTEST_INCLUDE_DIR)
 
 add_subdirectory(services)
-add_subdirectory(tests)
+#add_subdirectory(tests)
 add_subdirectory(tools)
 add_subdirectory(UnityCore)
 add_subdirectory(guides)
-add_subdirectory(standalone-clients EXCLUDE_FROM_ALL)
+#add_subdirectory(standalone-clients EXCLUDE_FROM_ALL)
 
 
 #

=== added directory 'dash'
=== renamed file 'plugins/unityshell/src/AbstractPlacesGroup.cpp' => 'dash/AbstractPlacesGroup.cpp'
=== renamed file 'plugins/unityshell/src/AbstractPlacesGroup.h' => 'dash/AbstractPlacesGroup.h'
=== renamed file 'plugins/unityshell/src/AbstractSeparator.cpp' => 'dash/AbstractSeparator.cpp'
=== renamed file 'plugins/unityshell/src/AbstractSeparator.h' => 'dash/AbstractSeparator.h'
=== added file 'dash/CMakeLists.txt'
--- dash/CMakeLists.txt	1970-01-01 00:00:00 +0000
+++ dash/CMakeLists.txt	2012-05-06 23:48:38 +0000
@@ -0,0 +1,70 @@
+set(UNITY_SRC ../plugins/unityshell/src)
+
+find_package (PkgConfig)
+
+set (CFLAGS
+     ${CACHED_UNITY_DEPS_CFLAGS}
+     ${CACHED_UNITY_DEPS_CFLAGS_OTHER}
+     ${MAINTAINER_CFLAGS}
+     "-DGETTEXT_PACKAGE=\"unity\""
+     "-I${CMAKE_CURRENT_BINARY_DIR}"
+     )
+add_definitions (${CFLAGS})
+
+set (LIBS ${CACHED_UNITY_DEPS_LIBRARIES} "-lunity-core-${UNITY_API_VERSION} -lm -lGL -lGLU")
+link_libraries (${LIBS})
+
+set (LIB_PATHS ${CACHED_UNITY_DEPS_LIBRARY_DIRS})
+link_directories (${CMAKE_BINARY_DIR}/UnityCore ${LIB_PATHS})
+
+include_directories (. .. ../services ../UnityCore ${UNITY_SRC} ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})
+
+#
+# Headers & Sources
+#
+set (DASH_SOURCES
+     AbstractPlacesGroup.cpp
+     AbstractSeparator.cpp
+     DashView.cpp
+     DashViewPrivate.cpp
+     FilterAllButton.cpp
+     FilterBar.cpp
+     FilterBasicButton.cpp
+     FilterExpanderLabel.cpp
+     FilterFactory.cpp
+     FilterGenreButton.cpp
+     FilterGenreWidget.cpp
+     FilterMultiRangeButton.cpp
+     FilterMultiRangeWidget.cpp
+     FilterRatingsButton.cpp
+     FilterRatingsWidget.cpp
+     LensBar.cpp
+     LensBarIcon.cpp
+     LensView.cpp
+     LensViewPrivate.cpp
+     LineSeparator.cpp
+     PlacesGroup.cpp
+     PlacesSimpleTile.cpp
+     PlacesTile.cpp
+     PlacesVScrollBar.cpp
+     PreviewApplications.cpp
+     PreviewBase.cpp
+     PreviewBasicButton.cpp
+     ResultRenderer.cpp
+     ResultRendererHorizontalTile.cpp
+     ResultRendererTile.cpp
+     ResultView.cpp
+     ResultViewGrid.cpp
+     SearchBar.cpp
+     SearchBarSpinner.cpp
+     )
+
+add_library (dash-lib STATIC ${DASH_SOURCES})
+add_dependencies (dash-lib unity-core-${UNITY_API_VERSION} unity-shared)
+
+# 
+# Standalone variant
+#
+add_executable (dash StandaloneDash.cpp)
+add_dependencies (dash dash-lib)
+target_link_libraries (dash dash-lib unity-shared)

=== renamed file 'plugins/unityshell/src/DashController.cpp' => 'dash/DashController.cpp'
--- plugins/unityshell/src/DashController.cpp	2012-04-20 10:01:53 +0000
+++ dash/DashController.cpp	2012-05-06 23:48:38 +0000
@@ -21,11 +21,11 @@
 #include <NuxCore/Logger.h>
 #include <Nux/HLayout.h>
 
-#include "DashSettings.h"
+#include "unity-shared/DashSettings.h"
 #include "PanelStyle.h"
 #include "PluginAdapter.h"
-#include "UBusMessages.h"
-#include "UScreen.h"
+#include "unity-shared/UBusMessages.h"
+#include "unity-shared/UScreen.h"
 
 namespace unity
 {

=== renamed file 'plugins/unityshell/src/DashController.h' => 'dash/DashController.h'
--- plugins/unityshell/src/DashController.h	2012-04-04 20:19:54 +0000
+++ dash/DashController.h	2012-05-06 23:48:38 +0000
@@ -30,8 +30,8 @@
 #include <Nux/BaseWindow.h>
 
 #include "DashView.h"
-#include "Introspectable.h"
-#include "UBusWrapper.h"
+#include "unity-shared/Introspectable.h"
+#include "unity-shared/UBusWrapper.h"
 
 namespace unity
 {

=== renamed file 'plugins/unityshell/src/DashView.cpp' => 'dash/DashView.cpp'
--- plugins/unityshell/src/DashView.cpp	2012-04-24 08:20:00 +0000
+++ dash/DashView.cpp	2012-05-06 23:48:38 +0000
@@ -29,9 +29,9 @@
 #include <UnityCore/GLibWrapper.h>
 #include <UnityCore/RadioOptionFilter.h>
 
-#include "DashStyle.h"
-#include "DashSettings.h"
-#include "UBusMessages.h"
+#include "unity-shared/DashStyle.h"
+#include "unity-shared/DashSettings.h"
+#include "unity-shared/UBusMessages.h"
 
 namespace unity
 {

=== renamed file 'plugins/unityshell/src/DashView.h' => 'dash/DashView.h'
--- plugins/unityshell/src/DashView.h	2012-03-30 11:40:10 +0000
+++ dash/DashView.h	2012-05-06 23:48:38 +0000
@@ -29,13 +29,13 @@
 #include <UnityCore/FilesystemLenses.h>
 #include <UnityCore/HomeLens.h>
 
-#include "BackgroundEffectHelper.h"
+#include "unity-shared/BackgroundEffectHelper.h"
 #include "SearchBar.h"
-#include "Introspectable.h"
+#include "unity-shared/Introspectable.h"
 #include "LensBar.h"
 #include "LensView.h"
-#include "UBusWrapper.h"
-#include "OverlayRenderer.h"
+#include "unity-shared/UBusWrapper.h"
+#include "unity-shared/OverlayRenderer.h"
 
 namespace unity
 {

=== renamed file 'plugins/unityshell/src/DashViewPrivate.cpp' => 'dash/DashViewPrivate.cpp'
=== renamed file 'plugins/unityshell/src/DashViewPrivate.h' => 'dash/DashViewPrivate.h'
=== renamed file 'plugins/unityshell/src/FilterAllButton.cpp' => 'dash/FilterAllButton.cpp'
=== renamed file 'plugins/unityshell/src/FilterAllButton.h' => 'dash/FilterAllButton.h'
=== renamed file 'plugins/unityshell/src/FilterBar.cpp' => 'dash/FilterBar.cpp'
--- plugins/unityshell/src/FilterBar.cpp	2012-03-27 15:09:26 +0000
+++ dash/FilterBar.cpp	2012-05-06 23:48:38 +0000
@@ -23,7 +23,7 @@
 #include <Nux/VLayout.h>
 #include <NuxCore/Logger.h>
 
-#include "DashStyle.h"
+#include "unity-shared/DashStyle.h"
 #include "FilterBar.h"
 #include "FilterExpanderLabel.h"
 #include "FilterFactory.h"

=== renamed file 'plugins/unityshell/src/FilterBar.h' => 'dash/FilterBar.h'
--- plugins/unityshell/src/FilterBar.h	2012-03-21 14:18:06 +0000
+++ dash/FilterBar.h	2012-05-06 23:48:38 +0000
@@ -28,7 +28,7 @@
 #include <UnityCore/Filters.h>
 
 #include "FilterFactory.h"
-#include "Introspectable.h"
+#include "unity-shared/Introspectable.h"
 
 namespace unity
 {

=== renamed file 'plugins/unityshell/src/FilterBasicButton.cpp' => 'dash/FilterBasicButton.cpp'
--- plugins/unityshell/src/FilterBasicButton.cpp	2012-03-21 14:18:06 +0000
+++ dash/FilterBasicButton.cpp	2012-05-06 23:48:38 +0000
@@ -19,7 +19,7 @@
  *
  */
 
-#include "DashStyle.h"
+#include "unity-shared/DashStyle.h"
 #include "FilterBasicButton.h"
 
 namespace

=== renamed file 'plugins/unityshell/src/FilterBasicButton.h' => 'dash/FilterBasicButton.h'
=== renamed file 'plugins/unityshell/src/FilterExpanderLabel.cpp' => 'dash/FilterExpanderLabel.cpp'
--- plugins/unityshell/src/FilterExpanderLabel.cpp	2012-04-12 07:03:50 +0000
+++ dash/FilterExpanderLabel.cpp	2012-05-06 23:48:38 +0000
@@ -20,7 +20,7 @@
  *
  */
 
-#include "DashStyle.h"
+#include "unity-shared/DashStyle.h"
 #include "FilterExpanderLabel.h"
 #include "LineSeparator.h"
 

=== renamed file 'plugins/unityshell/src/FilterExpanderLabel.h' => 'dash/FilterExpanderLabel.h'
--- plugins/unityshell/src/FilterExpanderLabel.h	2012-03-21 14:18:06 +0000
+++ dash/FilterExpanderLabel.h	2012-05-06 23:48:38 +0000
@@ -32,9 +32,9 @@
 #include <Nux/VLayout.h>
 #include <UnityCore/Filter.h>
 
-#include "IconTexture.h"
-#include "Introspectable.h"
-#include "StaticCairoText.h"
+#include "unity-shared/IconTexture.h"
+#include "unity-shared/Introspectable.h"
+#include "unity-shared/StaticCairoText.h"
 
 namespace nux
 {

=== renamed file 'plugins/unityshell/src/FilterFactory.cpp' => 'dash/FilterFactory.cpp'
=== renamed file 'plugins/unityshell/src/FilterFactory.h' => 'dash/FilterFactory.h'
=== renamed file 'plugins/unityshell/src/FilterGenreButton.cpp' => 'dash/FilterGenreButton.cpp'
=== renamed file 'plugins/unityshell/src/FilterGenreButton.h' => 'dash/FilterGenreButton.h'
=== renamed file 'plugins/unityshell/src/FilterGenreWidget.cpp' => 'dash/FilterGenreWidget.cpp'
--- plugins/unityshell/src/FilterGenreWidget.cpp	2012-03-21 14:18:06 +0000
+++ dash/FilterGenreWidget.cpp	2012-05-06 23:48:38 +0000
@@ -24,7 +24,7 @@
 #include <glib/gi18n-lib.h>
 #include <UnityCore/GLibWrapper.h>
 
-#include "DashStyle.h"
+#include "unity-shared/DashStyle.h"
 #include "FilterGenreWidget.h"
 #include "FilterGenreButton.h"
 #include "FilterBasicButton.h"

=== renamed file 'plugins/unityshell/src/FilterGenreWidget.h' => 'dash/FilterGenreWidget.h'
=== renamed file 'plugins/unityshell/src/FilterMultiRangeButton.cpp' => 'dash/FilterMultiRangeButton.cpp'
--- plugins/unityshell/src/FilterMultiRangeButton.cpp	2012-03-21 14:18:06 +0000
+++ dash/FilterMultiRangeButton.cpp	2012-05-06 23:48:38 +0000
@@ -22,7 +22,7 @@
 
 #include <Nux/Nux.h>
 
-#include "DashStyle.h"
+#include "unity-shared/DashStyle.h"
 #include "FilterMultiRangeButton.h"
 
 namespace unity

=== renamed file 'plugins/unityshell/src/FilterMultiRangeButton.h' => 'dash/FilterMultiRangeButton.h'
=== renamed file 'plugins/unityshell/src/FilterMultiRangeWidget.cpp' => 'dash/FilterMultiRangeWidget.cpp'
--- plugins/unityshell/src/FilterMultiRangeWidget.cpp	2012-03-21 14:18:06 +0000
+++ dash/FilterMultiRangeWidget.cpp	2012-05-06 23:48:38 +0000
@@ -22,7 +22,7 @@
 
 #include <Nux/Nux.h>
 
-#include "DashStyle.h"
+#include "unity-shared/DashStyle.h"
 #include "FilterMultiRangeWidget.h"
 #include "FilterMultiRangeButton.h"
 #include "FilterBasicButton.h"

=== renamed file 'plugins/unityshell/src/FilterMultiRangeWidget.h' => 'dash/FilterMultiRangeWidget.h'
=== renamed file 'plugins/unityshell/src/FilterRatingsButton.cpp' => 'dash/FilterRatingsButton.cpp'
--- plugins/unityshell/src/FilterRatingsButton.cpp	2012-03-14 06:24:18 +0000
+++ dash/FilterRatingsButton.cpp	2012-05-06 23:48:38 +0000
@@ -24,7 +24,7 @@
 #include <Nux/Nux.h>
 #include <NuxCore/Logger.h>
 
-#include "DashStyle.h"
+#include "unity-shared/DashStyle.h"
 #include "FilterRatingsButton.h"
 
 namespace

=== renamed file 'plugins/unityshell/src/FilterRatingsButton.h' => 'dash/FilterRatingsButton.h'
=== renamed file 'plugins/unityshell/src/FilterRatingsWidget.cpp' => 'dash/FilterRatingsWidget.cpp'
--- plugins/unityshell/src/FilterRatingsWidget.cpp	2012-03-21 14:18:06 +0000
+++ dash/FilterRatingsWidget.cpp	2012-05-06 23:48:38 +0000
@@ -24,7 +24,7 @@
 #include <glib.h>
 #include <glib/gi18n-lib.h>
 
-#include "DashStyle.h"
+#include "unity-shared/DashStyle.h"
 #include "FilterGenreWidget.h"
 #include "FilterGenreButton.h"
 #include "FilterBasicButton.h"

=== renamed file 'plugins/unityshell/src/FilterRatingsWidget.h' => 'dash/FilterRatingsWidget.h'
=== renamed file 'plugins/unityshell/src/LensBar.cpp' => 'dash/LensBar.cpp'
=== renamed file 'plugins/unityshell/src/LensBar.h' => 'dash/LensBar.h'
--- plugins/unityshell/src/LensBar.h	2012-04-10 15:21:20 +0000
+++ dash/LensBar.h	2012-05-06 23:48:38 +0000
@@ -29,8 +29,8 @@
 #include <Nux/View.h>
 #include <UnityCore/Lens.h>
 
-#include "IconTexture.h"
-#include "Introspectable.h"
+#include "unity-shared/IconTexture.h"
+#include "unity-shared/Introspectable.h"
 #include "LensBarIcon.h"
 
 namespace nux

=== renamed file 'plugins/unityshell/src/LensBarIcon.cpp' => 'dash/LensBarIcon.cpp'
--- plugins/unityshell/src/LensBarIcon.cpp	2012-04-16 22:44:30 +0000
+++ dash/LensBarIcon.cpp	2012-05-06 23:48:38 +0000
@@ -18,7 +18,7 @@
 
 #include <UnityCore/Variant.h>
 
-#include "DashStyle.h"
+#include "unity-shared/DashStyle.h"
 #include "LensBarIcon.h"
 
 #include "config.h"

=== renamed file 'plugins/unityshell/src/LensBarIcon.h' => 'dash/LensBarIcon.h'
--- plugins/unityshell/src/LensBarIcon.h	2012-04-10 16:23:46 +0000
+++ dash/LensBarIcon.h	2012-05-06 23:48:38 +0000
@@ -26,7 +26,7 @@
 #include <Nux/HLayout.h>
 #include <Nux/View.h>
 
-#include "IconTexture.h"
+#include "unity-shared/IconTexture.h"
 
 namespace unity
 {

=== renamed file 'plugins/unityshell/src/LensView.cpp' => 'dash/LensView.cpp'
--- plugins/unityshell/src/LensView.cpp	2012-04-05 11:02:13 +0000
+++ dash/LensView.cpp	2012-05-06 23:48:38 +0000
@@ -24,11 +24,11 @@
 
 #include <NuxCore/Logger.h>
 
-#include "DashStyle.h"
+#include "unity-shared/DashStyle.h"
 #include "ResultRendererTile.h"
 #include "ResultRendererHorizontalTile.h"
-#include "UBusMessages.h"
-#include "UBusWrapper.h"
+#include "unity-shared/UBusMessages.h"
+#include "unity-shared/UBusWrapper.h"
 #include "PlacesVScrollBar.h"
 
 #include <glib/gi18n-lib.h>

=== renamed file 'plugins/unityshell/src/LensView.h' => 'dash/LensView.h'
--- plugins/unityshell/src/LensView.h	2012-04-04 14:50:58 +0000
+++ dash/LensView.h	2012-05-06 23:48:38 +0000
@@ -30,11 +30,11 @@
 #include <UnityCore/Lens.h>
 
 #include "FilterBar.h"
-#include "Introspectable.h"
+#include "unity-shared/Introspectable.h"
 #include "PlacesGroup.h"
 #include "PlacesVScrollBar.h"
 #include "ResultViewGrid.h"
-#include "UBusWrapper.h"
+#include "unity-shared/UBusWrapper.h"
 
 namespace unity
 {

=== renamed file 'plugins/unityshell/src/LensViewPrivate.cpp' => 'dash/LensViewPrivate.cpp'
=== renamed file 'plugins/unityshell/src/LensViewPrivate.h' => 'dash/LensViewPrivate.h'
=== renamed file 'plugins/unityshell/src/LineSeparator.cpp' => 'dash/LineSeparator.cpp'
=== renamed file 'plugins/unityshell/src/LineSeparator.h' => 'dash/LineSeparator.h'
=== renamed file 'plugins/unityshell/src/PlacesGroup.cpp' => 'dash/PlacesGroup.cpp'
--- plugins/unityshell/src/PlacesGroup.cpp	2012-04-19 11:26:26 +0000
+++ dash/PlacesGroup.cpp	2012-05-06 23:48:38 +0000
@@ -28,7 +28,7 @@
 #include <Nux/BaseWindow.h>
 #include <NuxCore/Math/MathInc.h>
 
-#include "StaticCairoText.h"
+#include "unity-shared/StaticCairoText.h"
 
 #include <sigc++/trackable.h>
 #include <sigc++/signal.h>
@@ -41,10 +41,10 @@
 
 #include <Nux/Utils.h>
 #include <UnityCore/Variant.h>
-#include "DashStyle.h"
+#include "unity-shared/DashStyle.h"
 #include "LineSeparator.h"
-#include "ubus-server.h"
-#include "UBusMessages.h"
+#include "unity-shared/ubus-server.h"
+#include "unity-shared/UBusMessages.h"
 
 
 namespace

=== renamed file 'plugins/unityshell/src/PlacesGroup.h' => 'dash/PlacesGroup.h'
--- plugins/unityshell/src/PlacesGroup.h	2012-03-21 14:18:06 +0000
+++ dash/PlacesGroup.h	2012-05-06 23:48:38 +0000
@@ -28,10 +28,10 @@
 #include <sigc++/sigc++.h>
 
 #include "AbstractPlacesGroup.h"
-#include "IconTexture.h"
-#include "Introspectable.h"
-#include "StaticCairoText.h"
-#include "UBusWrapper.h"
+#include "unity-shared/IconTexture.h"
+#include "unity-shared/Introspectable.h"
+#include "unity-shared/StaticCairoText.h"
+#include "unity-shared/UBusWrapper.h"
 #include "ResultView.h"
 
 namespace nux

=== renamed file 'plugins/unityshell/src/PlacesSimpleTile.cpp' => 'dash/PlacesSimpleTile.cpp'
--- plugins/unityshell/src/PlacesSimpleTile.cpp	2012-03-26 23:01:22 +0000
+++ dash/PlacesSimpleTile.cpp	2012-05-06 23:48:38 +0000
@@ -28,9 +28,9 @@
 
 #include <UnityCore/Variant.h>
 
-#include "DashStyle.h"
-#include "ubus-server.h"
-#include "UBusMessages.h"
+#include "unity-shared/DashStyle.h"
+#include "unity-shared/ubus-server.h"
+#include "unity-shared/UBusMessages.h"
 
 
 namespace unity

=== renamed file 'plugins/unityshell/src/PlacesSimpleTile.h' => 'dash/PlacesSimpleTile.h'
--- plugins/unityshell/src/PlacesSimpleTile.h	2012-03-26 23:01:22 +0000
+++ dash/PlacesSimpleTile.h	2012-05-06 23:48:38 +0000
@@ -22,10 +22,10 @@
 
 #include <sigc++/sigc++.h>
 
-#include "IconTexture.h"
-#include "Introspectable.h"
+#include "unity-shared/IconTexture.h"
+#include "unity-shared/Introspectable.h"
 #include "PlacesTile.h"
-#include "StaticCairoText.h"
+#include "unity-shared/StaticCairoText.h"
 
 namespace unity
 {

=== renamed file 'plugins/unityshell/src/PlacesTile.cpp' => 'dash/PlacesTile.cpp'
--- plugins/unityshell/src/PlacesTile.cpp	2012-03-14 06:24:18 +0000
+++ dash/PlacesTile.cpp	2012-05-06 23:48:38 +0000
@@ -24,7 +24,7 @@
 #include <Nux/Nux.h>
 
 #include "CairoTexture.h"
-#include "TextureCache.h"
+#include "unity-shared/TextureCache.h"
 #include "PlacesTile.h"
 
 namespace unity

=== renamed file 'plugins/unityshell/src/PlacesTile.h' => 'dash/PlacesTile.h'
=== renamed file 'plugins/unityshell/src/PlacesVScrollBar.cpp' => 'dash/PlacesVScrollBar.cpp'
=== renamed file 'plugins/unityshell/src/PlacesVScrollBar.h' => 'dash/PlacesVScrollBar.h'
=== renamed file 'plugins/unityshell/src/PreviewApplications.cpp' => 'dash/PreviewApplications.cpp'
--- plugins/unityshell/src/PreviewApplications.cpp	2012-03-27 00:13:19 +0000
+++ dash/PreviewApplications.cpp	2012-05-06 23:48:38 +0000
@@ -28,8 +28,8 @@
 
 #include "PreviewBasicButton.h"
 #include "PreviewBase.h"
-#include "IconTexture.h"
-#include "StaticCairoText.h"
+#include "unity-shared/IconTexture.h"
+#include "unity-shared/StaticCairoText.h"
 
 #include "PreviewApplications.h"
 

=== renamed file 'plugins/unityshell/src/PreviewApplications.h' => 'dash/PreviewApplications.h'
--- plugins/unityshell/src/PreviewApplications.h	2011-10-11 18:18:13 +0000
+++ dash/PreviewApplications.h	2012-05-06 23:48:38 +0000
@@ -27,7 +27,7 @@
 #include <Nux/Nux.h>
 #include <Nux/View.h>
 #include <UnityCore/ApplicationPreview.h>
-#include "StaticCairoText.h"
+#include "unity-shared/StaticCairoText.h"
 
 #include "PreviewBase.h"
 

=== renamed file 'plugins/unityshell/src/PreviewBase.cpp' => 'dash/PreviewBase.cpp'
=== renamed file 'plugins/unityshell/src/PreviewBase.h' => 'dash/PreviewBase.h'
=== renamed file 'plugins/unityshell/src/PreviewBasicButton.cpp' => 'dash/PreviewBasicButton.cpp'
--- plugins/unityshell/src/PreviewBasicButton.cpp	2011-11-08 19:41:00 +0000
+++ dash/PreviewBasicButton.cpp	2012-05-06 23:48:38 +0000
@@ -25,7 +25,7 @@
 #include <Nux/Nux.h>
 
 #include "cairo.h"
-#include "DashStyle.h"
+#include "unity-shared/DashStyle.h"
 
 namespace unity {
 

=== renamed file 'plugins/unityshell/src/PreviewBasicButton.h' => 'dash/PreviewBasicButton.h'
=== renamed file 'plugins/unityshell/src/PreviewGeneric.cpp' => 'dash/PreviewGeneric.cpp'
--- plugins/unityshell/src/PreviewGeneric.cpp	2012-03-27 00:13:19 +0000
+++ dash/PreviewGeneric.cpp	2012-05-06 23:48:38 +0000
@@ -28,8 +28,8 @@
 
 #include "PreviewBasicButton.h"
 #include "PreviewBase.h"
-#include "IconTexture.h"
-#include "StaticCairoText.h"
+#include "unity-shared/IconTexture.h"
+#include "unity-shared/StaticCairoText.h"
 
 #include "PreviewGeneric.h"
 

=== renamed file 'plugins/unityshell/src/PreviewGeneric.h' => 'dash/PreviewGeneric.h'
=== renamed file 'plugins/unityshell/src/PreviewMusic.cpp' => 'dash/PreviewMusic.cpp'
--- plugins/unityshell/src/PreviewMusic.cpp	2012-03-26 22:43:48 +0000
+++ dash/PreviewMusic.cpp	2012-05-06 23:48:38 +0000
@@ -29,8 +29,8 @@
 
 #include "PreviewBasicButton.h"
 #include "PreviewBase.h"
-#include "IconTexture.h"
-#include "StaticCairoText.h"
+#include "unity-shared/IconTexture.h"
+#include "unity-shared/StaticCairoText.h"
 
 #include "PreviewMusicTrackWidget.h"
 

=== renamed file 'plugins/unityshell/src/PreviewMusic.h' => 'dash/PreviewMusic.h'
=== renamed file 'plugins/unityshell/src/PreviewMusicTrack.cpp' => 'dash/PreviewMusicTrack.cpp'
--- plugins/unityshell/src/PreviewMusicTrack.cpp	2012-03-27 00:13:19 +0000
+++ dash/PreviewMusicTrack.cpp	2012-05-06 23:48:38 +0000
@@ -29,8 +29,8 @@
 
 #include "PreviewBasicButton.h"
 #include "PreviewBase.h"
-#include "IconTexture.h"
-#include "StaticCairoText.h"
+#include "unity-shared/IconTexture.h"
+#include "unity-shared/StaticCairoText.h"
 #include "PreviewMusicTrackWidget.h"
 
 #include "PreviewMusicTrack.h"

=== renamed file 'plugins/unityshell/src/PreviewMusicTrack.h' => 'dash/PreviewMusicTrack.h'
=== renamed file 'plugins/unityshell/src/PreviewMusicTrackWidget.cpp' => 'dash/PreviewMusicTrackWidget.cpp'
--- plugins/unityshell/src/PreviewMusicTrackWidget.cpp	2012-03-16 01:48:22 +0000
+++ dash/PreviewMusicTrackWidget.cpp	2012-05-06 23:48:38 +0000
@@ -26,7 +26,7 @@
 #include <Nux/Button.h>
 
 #include "PreviewMusicTrackWidget.h"
-#include "StaticCairoText.h"
+#include "unity-shared/StaticCairoText.h"
 
 namespace unity {
 

=== renamed file 'plugins/unityshell/src/PreviewMusicTrackWidget.h' => 'dash/PreviewMusicTrackWidget.h'
=== renamed file 'plugins/unityshell/src/ResultRenderer.cpp' => 'dash/ResultRenderer.cpp'
=== renamed file 'plugins/unityshell/src/ResultRenderer.h' => 'dash/ResultRenderer.h'
=== renamed file 'plugins/unityshell/src/ResultRendererHorizontalTile.cpp' => 'dash/ResultRendererHorizontalTile.cpp'
--- plugins/unityshell/src/ResultRendererHorizontalTile.cpp	2012-04-06 23:03:24 +0000
+++ dash/ResultRendererHorizontalTile.cpp	2012-05-06 23:48:38 +0000
@@ -32,10 +32,10 @@
 #include <UnityCore/GLibWrapper.h>
 
 #include "CairoTexture.h"
-#include "DashStyle.h"
-#include "IconLoader.h"
-#include "IconTexture.h"
-#include "TextureCache.h"
+#include "unity-shared/DashStyle.h"
+#include "unity-shared/IconLoader.h"
+#include "unity-shared/IconTexture.h"
+#include "unity-shared/TextureCache.h"
 
 
 namespace unity

=== renamed file 'plugins/unityshell/src/ResultRendererHorizontalTile.h' => 'dash/ResultRendererHorizontalTile.h'
=== renamed file 'plugins/unityshell/src/ResultRendererTile.cpp' => 'dash/ResultRendererTile.cpp'
--- plugins/unityshell/src/ResultRendererTile.cpp	2012-04-25 12:09:59 +0000
+++ dash/ResultRendererTile.cpp	2012-05-06 23:48:38 +0000
@@ -35,10 +35,10 @@
 #include <UnityCore/GLibWrapper.h>
 
 #include "CairoTexture.h"
-#include "DashStyle.h"
-#include "IconLoader.h"
-#include "IconTexture.h"
-#include "TextureCache.h"
+#include "unity-shared/DashStyle.h"
+#include "unity-shared/IconLoader.h"
+#include "unity-shared/IconTexture.h"
+#include "unity-shared/TextureCache.h"
 
 
 namespace

=== renamed file 'plugins/unityshell/src/ResultRendererTile.h' => 'dash/ResultRendererTile.h'
--- plugins/unityshell/src/ResultRendererTile.h	2012-04-10 01:12:10 +0000
+++ dash/ResultRendererTile.h	2012-05-06 23:48:38 +0000
@@ -31,7 +31,7 @@
 #include <NuxCore/Property.h>
 #include <Nux/TextureArea.h>
 #include <NuxImage/CairoGraphics.h>
-#include "IconLoader.h"
+#include "unity-shared/IconLoader.h"
 
 #include "ResultRenderer.h"
 

=== renamed file 'plugins/unityshell/src/ResultView.cpp' => 'dash/ResultView.cpp'
--- plugins/unityshell/src/ResultView.cpp	2012-03-14 06:24:18 +0000
+++ dash/ResultView.cpp	2012-05-06 23:48:38 +0000
@@ -22,7 +22,7 @@
 
 
 #include "ResultView.h"
-#include "IntrospectableWrappers.h"
+#include "unity-shared/IntrospectableWrappers.h"
 
 #include <Nux/HLayout.h>
 #include <Nux/VLayout.h>

=== renamed file 'plugins/unityshell/src/ResultView.h' => 'dash/ResultView.h'
--- plugins/unityshell/src/ResultView.h	2012-03-21 13:31:08 +0000
+++ dash/ResultView.h	2012-05-06 23:48:38 +0000
@@ -30,7 +30,7 @@
 #include <UnityCore/GLibSignal.h>
 #include <UnityCore/Results.h>
 
-#include "Introspectable.h"
+#include "unity-shared/Introspectable.h"
 #include "PreviewBase.h"
 #include "ResultRenderer.h"
 

=== renamed file 'plugins/unityshell/src/ResultViewGrid.cpp' => 'dash/ResultViewGrid.cpp'
--- plugins/unityshell/src/ResultViewGrid.cpp	2012-04-25 10:07:09 +0000
+++ dash/ResultViewGrid.cpp	2012-05-06 23:48:38 +0000
@@ -27,9 +27,9 @@
 #include <gtk/gtk.h>
 #include <gdk/gdk.h>
 
-#include "Timer.h"
-#include "ubus-server.h"
-#include "UBusMessages.h"
+#include "unity-shared/Timer.h"
+#include "unity-shared/ubus-server.h"
+#include "unity-shared/UBusMessages.h"
 #include "ResultViewGrid.h"
 #include "math.h"
 

=== renamed file 'plugins/unityshell/src/ResultViewGrid.h' => 'dash/ResultViewGrid.h'
--- plugins/unityshell/src/ResultViewGrid.h	2012-04-19 11:26:26 +0000
+++ dash/ResultViewGrid.h	2012-05-06 23:48:38 +0000
@@ -25,7 +25,7 @@
 
 #include <UnityCore/Categories.h>
 #include "ResultView.h"
-#include "UBusWrapper.h"
+#include "unity-shared/UBusWrapper.h"
 
 namespace unity
 {

=== renamed file 'plugins/unityshell/src/SearchBar.cpp' => 'dash/SearchBar.cpp'
--- plugins/unityshell/src/SearchBar.cpp	2012-04-19 21:24:27 +0000
+++ dash/SearchBar.cpp	2012-05-06 23:48:38 +0000
@@ -41,7 +41,7 @@
 #include <UnityCore/Variant.h>
 
 #include "CairoTexture.h"
-#include "DashStyle.h"
+#include "unity-shared/DashStyle.h"
 
 namespace
 {

=== renamed file 'plugins/unityshell/src/SearchBar.h' => 'dash/SearchBar.h'
--- plugins/unityshell/src/SearchBar.h	2012-04-05 15:14:16 +0000
+++ dash/SearchBar.h	2012-05-06 23:48:38 +0000
@@ -35,10 +35,10 @@
 #include <UnityCore/GLibSignal.h>
 
 #include "SearchBarSpinner.h"
-#include "IconTexture.h"
-#include "IMTextEntry.h"
-#include "Introspectable.h"
-#include "StaticCairoText.h"
+#include "unity-shared/IconTexture.h"
+#include "unity-shared/IMTextEntry.h"
+#include "unity-shared/Introspectable.h"
+#include "unity-shared/StaticCairoText.h"
 
 namespace nux
 {

=== renamed file 'plugins/unityshell/src/SearchBarSpinner.cpp' => 'dash/SearchBarSpinner.cpp'
--- plugins/unityshell/src/SearchBarSpinner.cpp	2012-03-14 06:24:18 +0000
+++ dash/SearchBarSpinner.cpp	2012-05-06 23:48:38 +0000
@@ -22,7 +22,7 @@
 #include <Nux/VLayout.h>
 #include <UnityCore/Variant.h>
 
-#include "DashStyle.h"
+#include "unity-shared/DashStyle.h"
 
 namespace unity
 {

=== renamed file 'plugins/unityshell/src/SearchBarSpinner.h' => 'dash/SearchBarSpinner.h'
--- plugins/unityshell/src/SearchBarSpinner.h	2012-03-14 06:24:18 +0000
+++ dash/SearchBarSpinner.h	2012-05-06 23:48:38 +0000
@@ -25,7 +25,7 @@
 #include <NuxGraphics/GraphicsEngine.h>
 #include <Nux/TextureArea.h>
 #include <NuxCore/Math/Matrix4.h>
-#include "Introspectable.h"
+#include "unity-shared/Introspectable.h"
 
 namespace unity
 {

=== renamed file 'standalone-clients/standalone_dash.cpp' => 'dash/StandaloneDash.cpp'
--- standalone-clients/standalone_dash.cpp	2012-03-14 06:24:18 +0000
+++ dash/StandaloneDash.cpp	2012-05-06 23:48:38 +0000
@@ -26,11 +26,11 @@
 #include "NuxGraphics/GraphicsEngine.h"
 #include <NuxCore/Logger.h>
 
-#include "BGHash.h"
-#include "FontSettings.h"
+#include "unity-shared/BGHash.h"
+#include "unity-shared/FontSettings.h"
 #include "DashView.h"
-#include "DashSettings.h"
-#include "DashStyle.h"
+#include "unity-shared/DashSettings.h"
+#include "unity-shared/DashStyle.h"
 
 #define WIDTH 1024
 #define HEIGHT 768

=== added directory 'panel'
=== added file 'panel/CMakeLists.txt'
--- panel/CMakeLists.txt	1970-01-01 00:00:00 +0000
+++ panel/CMakeLists.txt	2012-05-06 23:48:38 +0000
@@ -0,0 +1,46 @@
+set(UNITY_SRC ../plugins/unityshell/src)
+
+find_package (PkgConfig)
+
+set (CFLAGS
+     ${CACHED_UNITY_DEPS_CFLAGS}
+     ${CACHED_UNITY_DEPS_CFLAGS_OTHER}
+     ${MAINTAINER_CFLAGS}
+     "-DGETTEXT_PACKAGE=\"unity\""
+     "-I${CMAKE_CURRENT_BINARY_DIR}"
+     )
+add_definitions (${CFLAGS})
+
+set (LIBS ${CACHED_UNITY_DEPS_LIBRARIES} "-lunity-core-${UNITY_API_VERSION} -lm -lGL -lGLU")
+link_libraries (${LIBS})
+
+set (LIB_PATHS ${CACHED_UNITY_DEPS_LIBRARY_DIRS})
+link_directories (${CMAKE_BINARY_DIR}/UnityCore ${LIB_PATHS})
+
+include_directories (. .. ../services ../UnityCore ${UNITY_SRC} ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})
+
+#
+# Headers & Sources
+#
+set (PANEL_SOURCES
+     PanelController.cpp
+     PanelIndicatorEntryView.cpp
+     PanelIndicatorsView.cpp
+     PanelMenuView.cpp
+     PanelStyle.cpp
+     PanelTitlebarGrabAreaView.cpp
+     PanelTray.cpp
+     PanelView.cpp
+     WindowButtons.cpp
+     WindowManager.cpp
+     )
+
+add_library (panel-lib STATIC ${PANEL_SOURCES})
+add_dependencies (panel-lib unity-core-${UNITY_API_VERSION} unity-shared)
+
+# 
+# Standalone variant
+#
+add_executable (panel StandalonePanel.cpp)
+add_dependencies (panel panel-lib)
+target_link_libraries (panel panel-lib unity-shared)

=== renamed file 'plugins/unityshell/src/PanelController.cpp' => 'panel/PanelController.cpp'
--- plugins/unityshell/src/PanelController.cpp	2012-04-04 20:21:45 +0000
+++ panel/PanelController.cpp	2012-05-06 23:48:38 +0000
@@ -24,7 +24,7 @@
 #include <Nux/BaseWindow.h>
 #include <UnityCore/Variant.h>
 
-#include "UScreen.h"
+#include "unity-shared/UScreen.h"
 #include "PanelView.h"
 #include "PanelStyle.h"
 

=== renamed file 'plugins/unityshell/src/PanelController.h' => 'panel/PanelController.h'
--- plugins/unityshell/src/PanelController.h	2012-04-02 14:02:29 +0000
+++ panel/PanelController.h	2012-05-06 23:48:38 +0000
@@ -23,7 +23,7 @@
 #include <memory>
 #include <Nux/Nux.h>
 
-#include "Introspectable.h"
+#include "unity-shared/Introspectable.h"
 namespace unity
 {
 namespace panel

=== renamed file 'plugins/unityshell/src/PanelIndicatorEntryView.cpp' => 'panel/PanelIndicatorEntryView.cpp'
=== renamed file 'plugins/unityshell/src/PanelIndicatorEntryView.h' => 'panel/PanelIndicatorEntryView.h'
--- plugins/unityshell/src/PanelIndicatorEntryView.h	2012-04-10 00:30:33 +0000
+++ panel/PanelIndicatorEntryView.h	2012-05-06 23:48:38 +0000
@@ -32,7 +32,7 @@
 
 #include <gtk/gtk.h>
 
-#include "Introspectable.h"
+#include "unity-shared/Introspectable.h"
 
 
 namespace unity

=== renamed file 'plugins/unityshell/src/PanelIndicatorsView.cpp' => 'panel/PanelIndicatorsView.cpp'
=== renamed file 'plugins/unityshell/src/PanelIndicatorsView.h' => 'panel/PanelIndicatorsView.h'
--- plugins/unityshell/src/PanelIndicatorsView.h	2012-04-02 10:25:16 +0000
+++ panel/PanelIndicatorsView.h	2012-05-06 23:48:38 +0000
@@ -27,7 +27,7 @@
 #include <UnityCore/Indicator.h>
 
 #include "PanelIndicatorEntryView.h"
-#include "Introspectable.h"
+#include "unity-shared/Introspectable.h"
 
 namespace unity
 {

=== renamed file 'plugins/unityshell/src/PanelMenuView.cpp' => 'panel/PanelMenuView.cpp'
--- plugins/unityshell/src/PanelMenuView.cpp	2012-04-16 12:12:05 +0000
+++ panel/PanelMenuView.cpp	2012-05-06 23:48:38 +0000
@@ -24,9 +24,9 @@
 #include "CairoTexture.h"
 #include "PanelMenuView.h"
 #include "PanelStyle.h"
-#include "DashSettings.h"
-#include "UBusMessages.h"
-#include "UScreen.h"
+#include "unity-shared/DashSettings.h"
+#include "unity-shared/UBusMessages.h"
+#include "unity-shared/UScreen.h"
 
 #include <UnityCore/Variant.h>
 

=== renamed file 'plugins/unityshell/src/PanelMenuView.h' => 'panel/PanelMenuView.h'
--- plugins/unityshell/src/PanelMenuView.h	2012-04-09 13:13:16 +0000
+++ panel/PanelMenuView.h	2012-05-06 23:48:38 +0000
@@ -26,12 +26,12 @@
 #include <libbamf/libbamf.h>
 
 #include "PanelIndicatorsView.h"
-#include "StaticCairoText.h"
+#include "unity-shared/StaticCairoText.h"
 #include "WindowButtons.h"
 #include "PanelTitlebarGrabAreaView.h"
 #include "PluginAdapter.h"
-#include "Animator.h"
-#include "UBusWrapper.h"
+#include "unity-shared/Animator.h"
+#include "unity-shared/UBusWrapper.h"
 
 namespace unity
 {

=== renamed file 'plugins/unityshell/src/PanelStyle.cpp' => 'panel/PanelStyle.cpp'
=== renamed file 'plugins/unityshell/src/PanelStyle.h' => 'panel/PanelStyle.h'
=== renamed file 'plugins/unityshell/src/PanelTitlebarGrabAreaView.cpp' => 'panel/PanelTitlebarGrabAreaView.cpp'
=== renamed file 'plugins/unityshell/src/PanelTitlebarGrabAreaView.h' => 'panel/PanelTitlebarGrabAreaView.h'
--- plugins/unityshell/src/PanelTitlebarGrabAreaView.h	2012-04-02 11:47:51 +0000
+++ panel/PanelTitlebarGrabAreaView.h	2012-05-06 23:48:38 +0000
@@ -25,7 +25,7 @@
 
 #include <Nux/View.h>
 
-#include "Introspectable.h"
+#include "unity-shared/Introspectable.h"
 
 namespace unity
 {

=== renamed file 'plugins/unityshell/src/PanelTray.cpp' => 'panel/PanelTray.cpp'
=== renamed file 'plugins/unityshell/src/PanelTray.h' => 'panel/PanelTray.h'
--- plugins/unityshell/src/PanelTray.h	2012-04-02 13:59:20 +0000
+++ panel/PanelTray.h	2012-05-06 23:48:38 +0000
@@ -25,7 +25,7 @@
 #include <gtk/gtk.h>
 #include <gdk/gdkx.h>
 
-#include "Introspectable.h"
+#include "unity-shared/Introspectable.h"
 #include <UnityCore/GLibWrapper.h>
 #include <UnityCore/GLibSignal.h>
 

=== renamed file 'plugins/unityshell/src/PanelView.cpp' => 'panel/PanelView.cpp'
--- plugins/unityshell/src/PanelView.cpp	2012-04-17 10:19:19 +0000
+++ panel/PanelView.cpp	2012-05-06 23:48:38 +0000
@@ -38,7 +38,7 @@
 #include "PanelIndicatorsView.h"
 #include <UnityCore/Variant.h>
 
-#include "UBusMessages.h"
+#include "unity-shared/UBusMessages.h"
 
 #include "PanelView.h"
 

=== renamed file 'plugins/unityshell/src/PanelView.h' => 'panel/PanelView.h'
--- plugins/unityshell/src/PanelView.h	2012-04-02 14:03:23 +0000
+++ panel/PanelView.h	2012-05-06 23:48:38 +0000
@@ -31,12 +31,12 @@
 
 #include <UnityCore/DBusIndicators.h>
 
-#include "BackgroundEffectHelper.h"
-#include "Introspectable.h"
+#include "unity-shared/BackgroundEffectHelper.h"
+#include "unity-shared/Introspectable.h"
 #include "PanelMenuView.h"
 #include "PanelTray.h"
 #include "PanelIndicatorsView.h"
-#include "UBusWrapper.h"
+#include "unity-shared/UBusWrapper.h"
 
 namespace unity
 {

=== renamed file 'standalone-clients/TestPanel.cpp' => 'panel/StandalonePanel.cpp'
--- standalone-clients/TestPanel.cpp	2012-03-14 06:24:18 +0000
+++ panel/StandalonePanel.cpp	2012-05-06 23:48:38 +0000
@@ -25,7 +25,7 @@
 #include "NuxGraphics/GraphicsEngine.h"
 #include <gtk/gtk.h>
 
-#include "DashSettings.h"
+#include "unity-shared/DashSettings.h"
 #include "PanelStyle.h"
 #include "PanelView.h"
 #include <dbus/dbus-glib.h>

=== renamed file 'plugins/unityshell/src/WindowButtons.cpp' => 'panel/WindowButtons.cpp'
--- plugins/unityshell/src/WindowButtons.cpp	2012-04-20 19:16:02 +0000
+++ panel/WindowButtons.cpp	2012-05-06 23:48:38 +0000
@@ -27,9 +27,9 @@
 
 #include "WindowButtons.h"
 
-#include "DashSettings.h"
+#include "unity-shared/DashSettings.h"
 #include "PanelStyle.h"
-#include "UBusMessages.h"
+#include "unity-shared/UBusMessages.h"
 #include "WindowManager.h"
 
 namespace unity

=== renamed file 'plugins/unityshell/src/WindowButtons.h' => 'panel/WindowButtons.h'
--- plugins/unityshell/src/WindowButtons.h	2012-04-04 20:11:49 +0000
+++ panel/WindowButtons.h	2012-05-06 23:48:38 +0000
@@ -24,8 +24,8 @@
 #include <Nux/HLayout.h>
 #include <Nux/Button.h>
 
-#include "UBusWrapper.h"
-#include "Introspectable.h"
+#include "unity-shared/UBusWrapper.h"
+#include "unity-shared/Introspectable.h"
 
 namespace unity
 {

=== renamed file 'plugins/unityshell/src/WindowManager.cpp' => 'panel/WindowManager.cpp'
=== renamed file 'plugins/unityshell/src/WindowManager.h' => 'panel/WindowManager.h'
--- plugins/unityshell/src/WindowManager.h	2012-04-26 05:56:55 +0000
+++ panel/WindowManager.h	2012-05-06 23:48:38 +0000
@@ -23,7 +23,7 @@
 #include <gdk/gdkx.h>
 #include <core/core.h>
 
-#include "Introspectable.h"
+#include "unity-shared/Introspectable.h"
 
 class WindowManager : public unity::debug::Introspectable
 {

=== modified file 'standalone-clients/CMakeLists.txt'
--- standalone-clients/CMakeLists.txt	2012-04-18 00:57:55 +0000
+++ standalone-clients/CMakeLists.txt	2012-05-06 23:48:38 +0000
@@ -134,423 +134,255 @@
                 )
 add_dependencies (dash unity-core-${UNITY_API_VERSION})
 
-add_executable (panel
-                TestPanel.cpp
-                ${UNITY_SRC}/Animator.cpp
-                ${UNITY_SRC}/Animator.h
-                ${UNITY_SRC}/BackgroundEffectHelper.cpp
-                ${UNITY_SRC}/BackgroundEffectHelper.h
-                ${UNITY_SRC}/DashSettings.cpp
-                ${UNITY_SRC}/DashSettings.h
-                ${UNITY_SRC}/PanelStyle.cpp
-                ${UNITY_SRC}/PanelStyle.h
-                ${UNITY_SRC}/PanelView.cpp
-                ${UNITY_SRC}/PanelView.h
-                ${UNITY_SRC}/PanelIndicatorsView.cpp
-                ${UNITY_SRC}/PanelIndicatorsView.h
-                ${UNITY_SRC}/PanelIndicatorEntryView.cpp
-                ${UNITY_SRC}/PanelIndicatorEntryView.h
-                ${UNITY_SRC}/PanelTitlebarGrabAreaView.h
-                ${UNITY_SRC}/PanelTitlebarGrabAreaView.cpp
-                ${UNITY_SRC}/PanelTray.cpp
-                ${UNITY_SRC}/PanelTray.h
-                ${UNITY_SRC}/Introspectable.cpp
-                ${UNITY_SRC}/Introspectable.h
-                ${UNITY_SRC}/PanelMenuView.cpp
-                ${UNITY_SRC}/PanelMenuView.h
-                ${UNITY_SRC}/Timer.cpp
-                ${UNITY_SRC}/Timer.h
-                ${UNITY_SRC}/StaticCairoText.cpp
-                ${UNITY_SRC}/StaticCairoText.h
-                ${UNITY_SRC}/WindowButtons.cpp
-                ${UNITY_SRC}/WindowButtons.h
-                ${UNITY_SRC}/WindowManager.cpp
-                ${UNITY_SRC}/WindowManager.h
-                ${UNITY_SRC}/UScreen.cpp
-                ${UNITY_SRC}/UScreen.h
-                ${UNITY_SRC}/ubus-server.cpp
-                ${UNITY_SRC}/ubus-server.h
-                )
-add_dependencies (panel unity-core-${UNITY_API_VERSION})
-
-add_executable (switcher
-                TestSwitcher.cpp
-                ${UNITY_SRC}/AbstractLauncherIcon.h
-                ${UNITY_SRC}/AbstractIconRenderer.h
-                ${UNITY_SRC}/SwitcherController.cpp
-                ${UNITY_SRC}/SwitcherController.h
-                ${UNITY_SRC}/SwitcherModel.cpp
-                ${UNITY_SRC}/SwitcherModel.h
-                ${UNITY_SRC}/SwitcherView.cpp
-                ${UNITY_SRC}/SwitcherView.h
-                ${UNITY_SRC}/LayoutSystem.h
-                ${UNITY_SRC}/LayoutSystem.cpp
-                ${UNITY_SRC}/WindowManager.h
-                ${UNITY_SRC}/WindowManager.cpp
-                ${UNITY_SRC}/IconRenderer.cpp
-                ${UNITY_SRC}/IconRenderer.h
-                ${UNITY_SRC}/Introspectable.cpp
-                ${UNITY_SRC}/Introspectable.h
-                ${UNITY_SRC}/MockLauncherIcon.h
-                ${UNITY_SRC}/BackgroundEffectHelper.h
-                ${UNITY_SRC}/BackgroundEffectHelper.cpp
-                ${UNITY_SRC}/StaticCairoText.cpp
-                ${UNITY_SRC}/StaticCairoText.h
-                ${UNITY_SRC}/UBusMessages.h
-                ${UNITY_SRC}/ubus-server.cpp
-                ${UNITY_SRC}/ubus-server.h
-                )
-add_dependencies (switcher unity-core-${UNITY_API_VERSION})
-
-add_executable (launcher
-                TestLauncher.cpp
-                ${UNITY_SRC}/CairoBaseWindow.cpp
-                ${UNITY_SRC}/AbstractLauncherIcon.h
-                ${UNITY_SRC}/AbstractLauncherIcon.cpp
-                ${UNITY_SRC}/AbstractIconRenderer.h
-                ${UNITY_SRC}/LauncherIcon.cpp
-                ${UNITY_SRC}/LauncherIcon.h
-                ${UNITY_SRC}/SimpleLauncherIcon.cpp
-                ${UNITY_SRC}/SimpleLauncherIcon.h
-                ${UNITY_SRC}/BamfLauncherIcon.cpp
-                ${UNITY_SRC}/BamfLauncherIcon.h
-                ${UNITY_SRC}/BFBLauncherIcon.cpp
-                ${UNITY_SRC}/BFBLauncherIcon.h
-                ${UNITY_SRC}/SpacerLauncherIcon.cpp
-                ${UNITY_SRC}/SpacerLauncherIcon.h
-                ${UNITY_SRC}/DndData.cpp
-                ${UNITY_SRC}/DndData.h
-                ${UNITY_SRC}/TrashLauncherIcon.cpp
-                ${UNITY_SRC}/TrashLauncherIcon.h
-                ${UNITY_SRC}/Decaymulator.cpp
-                ${UNITY_SRC}/Decaymulator.h
-                ${UNITY_SRC}/DesktopLauncherIcon.cpp
-                ${UNITY_SRC}/DesktopLauncherIcon.h
-                ${UNITY_SRC}/DNDCollectionWindow.cpp
-                ${UNITY_SRC}/DNDCollectionWindow.h
-                ${UNITY_SRC}/DeviceLauncherIcon.cpp
-                ${UNITY_SRC}/DeviceLauncherIcon.h
-                ${UNITY_SRC}/DeviceLauncherSection.cpp
-                ${UNITY_SRC}/DeviceLauncherSection.h
-                ${UNITY_SRC}/DevicesSettings.cpp
-                ${UNITY_SRC}/DevicesSettings.h
-                ${UNITY_SRC}/EdgeBarrierController.h
-                ${UNITY_SRC}/EdgeBarrierController.cpp
-                ${UNITY_SRC}/FavoriteStore.cpp
-                ${UNITY_SRC}/FavoriteStore.h
-                ${UNITY_SRC}/FavoriteStoreGSettings.cpp
-                ${UNITY_SRC}/FavoriteStoreGSettings.h
-                ${UNITY_SRC}/FavoriteStorePrivate.cpp
-                ${UNITY_SRC}/FavoriteStorePrivate.h
-                ${UNITY_SRC}/HudLauncherIcon.cpp
-                ${UNITY_SRC}/HudLauncherIcon.h
-                ${UNITY_SRC}/IconLoader.cpp
-                ${UNITY_SRC}/IconLoader.h
-                ${UNITY_SRC}/IconTextureSource.h
-                ${UNITY_SRC}/IconTextureSource.cpp
-                ${UNITY_SRC}/LauncherOptions.cpp
-                ${UNITY_SRC}/LauncherOptions.h
-                ${UNITY_SRC}/LauncherEntryRemoteModel.cpp
-                ${UNITY_SRC}/LauncherEntryRemoteModel.h
-                ${UNITY_SRC}/LauncherEntryRemote.cpp
-                ${UNITY_SRC}/LauncherEntryRemote.h
-                ${UNITY_SRC}/LauncherController.cpp
-                ${UNITY_SRC}/LauncherController.h
-                ${UNITY_SRC}/LauncherModel.cpp
-                ${UNITY_SRC}/LauncherModel.h
-                ${UNITY_SRC}/Launcher.cpp
-                ${UNITY_SRC}/Launcher.h
-                ${UNITY_SRC}/LauncherHideMachine.cpp
-                ${UNITY_SRC}/LauncherHideMachine.h
-                ${UNITY_SRC}/LauncherHoverMachine.cpp
-                ${UNITY_SRC}/LauncherHoverMachine.h
-                ${UNITY_SRC}/LauncherDragWindow.cpp
-                ${UNITY_SRC}/LauncherDragWindow.h
-                ${UNITY_SRC}/GeisAdapter.cpp
-                ${UNITY_SRC}/GeisAdapter.h
-                ${UNITY_SRC}/WindowManager.h
-                ${UNITY_SRC}/WindowManager.cpp
-                ${UNITY_SRC}/IconRenderer.cpp
-                ${UNITY_SRC}/IconRenderer.h
-                ${UNITY_SRC}/Tooltip.cpp
-                ${UNITY_SRC}/Tooltip.h
-                ${UNITY_SRC}/BackgroundEffectHelper.h
-                ${UNITY_SRC}/BackgroundEffectHelper.cpp
-                ${UNITY_SRC}/StaticCairoText.cpp
-                ${UNITY_SRC}/StaticCairoText.h
-                ${UNITY_SRC}/SingleMonitorLauncherIcon.cpp
-                ${UNITY_SRC}/SingleMonitorLauncherIcon.h
-                ${UNITY_SRC}/SoftwareCenterLauncherIcon.cpp
-                ${UNITY_SRC}/SoftwareCenterLauncherIcon.h
-                ${UNITY_SRC}/Introspectable.cpp
-                ${UNITY_SRC}/Introspectable.h
-                ${UNITY_SRC}/PanelStyle.cpp
-                ${UNITY_SRC}/PanelStyle.h
-                ${UNITY_SRC}/PointerBarrier.cpp
-                ${UNITY_SRC}/PointerBarrier.h
-                ${UNITY_SRC}/QuicklistMenuItem.cpp
-                ${UNITY_SRC}/QuicklistMenuItem.h
-                ${UNITY_SRC}/QuicklistMenuItemCheckmark.cpp
-                ${UNITY_SRC}/QuicklistMenuItemCheckmark.h
-                ${UNITY_SRC}/QuicklistMenuItemLabel.cpp
-                ${UNITY_SRC}/QuicklistMenuItemLabel.h
-                ${UNITY_SRC}/QuicklistMenuItemRadio.cpp
-                ${UNITY_SRC}/QuicklistMenuItemRadio.h
-                ${UNITY_SRC}/QuicklistMenuItemSeparator.cpp
-                ${UNITY_SRC}/QuicklistMenuItemSeparator.h
-                ${UNITY_SRC}/QuicklistView.cpp
-                ${UNITY_SRC}/QuicklistView.h
-                ${UNITY_SRC}/QuicklistManager.cpp
-                ${UNITY_SRC}/QuicklistManager.h
-                ${UNITY_SRC}/TextureCache.cpp
-                ${UNITY_SRC}/TextureCache.h
-                ${UNITY_SRC}/Timer.cpp
-                ${UNITY_SRC}/Timer.h
-                ${UNITY_SRC}/UBusMessages.h
-                ${UNITY_SRC}/UBusWrapper.cpp
-                ${UNITY_SRC}/UBusWrapper.h
-                ${UNITY_SRC}/ubus-server.cpp
-                ${UNITY_SRC}/ubus-server.h
-                ${UNITY_SRC}/UScreen.cpp
-                ${UNITY_SRC}/UScreen.h
-                )
-add_dependencies (launcher unity-core-${UNITY_API_VERSION})
-
-add_executable (keyutil
-                TestKeyboardUtil.cpp
-                ${UNITY_SRC}/KeyboardUtil.h
-                ${UNITY_SRC}/KeyboardUtil.cpp
-                )
-add_dependencies (keyutil unity-core-${UNITY_API_VERSION})
-
-add_executable (quicklist
-                ui/TestQuicklist.cpp
-                nux_test_framework.cpp
-                nux_test_framework.h
-                nux_automated_test_framework.cpp
-                nux_automated_test_framework.h
-                ${UNITY_SRC}/CairoBaseWindow.cpp
-                ${UNITY_SRC}/Introspectable.cpp
-                ${UNITY_SRC}/QuicklistMenuItem.cpp
-                ${UNITY_SRC}/QuicklistMenuItemCheckmark.cpp
-                ${UNITY_SRC}/QuicklistMenuItemLabel.cpp
-                ${UNITY_SRC}/QuicklistMenuItemRadio.cpp
-                ${UNITY_SRC}/QuicklistMenuItemSeparator.cpp
-                ${UNITY_SRC}/QuicklistView.cpp
-                ${UNITY_SRC}/ubus-server.cpp
-                )
-add_dependencies(quicklist unity-core-${UNITY_API_VERSION})
-
-add_executable (quicklist-visuals
-                ui/TestQuicklistVisuals.cpp
-                ui/EventFaker.cpp
-                ui/EventFaker.h
-                ${UNITY_SRC}/CairoBaseWindow.cpp
-                ${UNITY_SRC}/Introspectable.cpp
-                ${UNITY_SRC}/QuicklistMenuItem.cpp
-                ${UNITY_SRC}/QuicklistMenuItemCheckmark.cpp
-                ${UNITY_SRC}/QuicklistMenuItemLabel.cpp
-                ${UNITY_SRC}/QuicklistMenuItemRadio.cpp
-                ${UNITY_SRC}/QuicklistMenuItemSeparator.cpp
-                ${UNITY_SRC}/QuicklistView.cpp
-                ${UNITY_SRC}/ubus-server.cpp
-                )
-add_dependencies(quicklist-visuals unity-core-${UNITY_API_VERSION})
-
-add_executable (filters
-                TestFilters.cpp
-                ${UNITY_SRC}/FilterExpanderLabel.cpp
-                ${UNITY_SRC}/FilterBasicButton.cpp
-                ${UNITY_SRC}/FilterRatingsButton.cpp
-                ${UNITY_SRC}/FilterRatingsWidget.cpp
-                ${UNITY_SRC}/FilterGenreButton.cpp
-                ${UNITY_SRC}/FilterGenreWidget.cpp
-                ${UNITY_SRC}/FilterMultiRangeButton.cpp
-                ${UNITY_SRC}/FilterMultiRangeWidget.cpp
-                ${UNITY_SRC}/DashStyle.cpp
-                ${UNITY_SRC}/JSONParser.cpp
-                )
-add_dependencies(filters unity-core-${UNITY_API_VERSION})
-
-add_executable (filter-bar
-                TestFilterBar.cpp
-                ${UNITY_SRC}/FilterAllButton.cpp
-                ${UNITY_SRC}/FilterBar.cpp
-                ${UNITY_SRC}/FilterBasicButton.cpp
-                ${UNITY_SRC}/FilterExpanderLabel.cpp
-                ${UNITY_SRC}/FilterFactory.cpp
-                ${UNITY_SRC}/FilterMultiRangeWidget.cpp
-                ${UNITY_SRC}/FilterMultiRangeButton.cpp
-                ${UNITY_SRC}/FilterGenreButton.cpp
-                ${UNITY_SRC}/FilterGenreWidget.cpp
-                ${UNITY_SRC}/FilterRatingsButton.cpp
-                ${UNITY_SRC}/FilterRatingsWidget.cpp
-                ${UNITY_SRC}/DashStyle.cpp
-                ${UNITY_SRC}/JSONParser.cpp
-                )
-add_dependencies(filter-bar unity-core-${UNITY_API_VERSION})
-
-add_executable (preview-applicaiton
-                TestPreviewApplications.cpp
-                ${UNITY_SRC}/PreviewApplications.cpp
-                ${UNITY_SRC}/PreviewBase.cpp
-                ${UNITY_SRC}/PreviewBasicButton.cpp
-                ${UNITY_SRC}/IconTexture.cpp
-                ${UNITY_SRC}/IconLoader.cpp
-                ${UNITY_SRC}/Introspectable.cpp
-                ${UNITY_SRC}/StaticCairoText.cpp
-                ${UNITY_SRC}/TextureCache.cpp
-                ${UNITY_SRC}/DashStyle.cpp
-                ${UNITY_SRC}/JSONParser.cpp
-                ${UNITY_SRC}/Timer.cpp
-                )
-add_dependencies(preview-applicaiton unity-core-${UNITY_API_VERSION})
-
-add_executable (preview-generic
-                TestPreviewGeneric.cpp
-                ${UNITY_SRC}/PreviewGeneric.cpp
-                ${UNITY_SRC}/PreviewBase.cpp
-                ${UNITY_SRC}/PreviewBasicButton.cpp
-                ${UNITY_SRC}/IconTexture.cpp
-                ${UNITY_SRC}/IconLoader.cpp
-                ${UNITY_SRC}/Introspectable.cpp
-                ${UNITY_SRC}/StaticCairoText.cpp
-                ${UNITY_SRC}/TextureCache.cpp
-                ${UNITY_SRC}/DashStyle.cpp
-                ${UNITY_SRC}/JSONParser.cpp
-                ${UNITY_SRC}/Timer.cpp
-                )
-add_dependencies(preview-generic unity-core-${UNITY_API_VERSION})
-
-add_executable (preview-music
-                TestPreviewMusic.cpp
-                ${UNITY_SRC}/PreviewBase.cpp
-                ${UNITY_SRC}/PreviewBasicButton.cpp
-                ${UNITY_SRC}/PreviewMusic.cpp
-                ${UNITY_SRC}/PreviewMusicTrack.cpp
-                ${UNITY_SRC}/PreviewMusicTrackWidget.cpp
-                ${UNITY_SRC}/IconTexture.cpp
-                ${UNITY_SRC}/IconLoader.cpp
-                ${UNITY_SRC}/Introspectable.cpp
-                ${UNITY_SRC}/StaticCairoText.cpp
-                ${UNITY_SRC}/TextureCache.cpp
-                ${UNITY_SRC}/DashStyle.cpp
-                ${UNITY_SRC}/JSONParser.cpp
-                ${UNITY_SRC}/Timer.cpp
-                )
-add_dependencies(preview-music unity-core-${UNITY_API_VERSION})
-
-add_executable (result-view
-                TestResultView.cpp
-                ${UNITY_SRC}/PreviewApplications.cpp
-                ${UNITY_SRC}/PreviewBase.cpp
-                ${UNITY_SRC}/PreviewBasicButton.cpp
-                ${UNITY_SRC}/ResultView.cpp
-                ${UNITY_SRC}/ResultViewGrid.cpp
-                ${UNITY_SRC}/ResultRenderer.cpp
-                ${UNITY_SRC}/ResultRendererTile.cpp
-                ${UNITY_SRC}/ResultRendererHorizontalTile.cpp
-                ${UNITY_SRC}/IconTexture.cpp
-                ${UNITY_SRC}/IconLoader.cpp
-                ${UNITY_SRC}/Introspectable.cpp
-                ${UNITY_SRC}/StaticCairoText.cpp
-                ${UNITY_SRC}/TextureCache.cpp
-                ${UNITY_SRC}/Timer.cpp
-                ${UNITY_SRC}/DashStyle.cpp
-                ${UNITY_SRC}/JSONParser.cpp
-                ${UNITY_SRC}/UBusMessages.h
-                ${UNITY_SRC}/UBusWrapper.cpp
-                ${UNITY_SRC}/UBusWrapper.h
-                ${UNITY_SRC}/ubus-server.cpp
-                ${UNITY_SRC}/ubus-server.h
-                )
-add_dependencies(result-view unity-core-${UNITY_API_VERSION})
-
-add_executable (dash-style
-                TestDashStyle.cpp
-                ${UNITY_SRC}/DashStyle.cpp
-                ${UNITY_SRC}/DashStyle.h
-                ${UNITY_SRC}/JSONParser.cpp
-                ${PLACES_COMMON_SOURCE}
-                )
-add_dependencies(dash-style unity-core-${UNITY_API_VERSION})
-
-add_executable (bg-hash
-                TestBGHash.cpp
-                ${UNITY_SRC}/BGHash.cpp
-                ${UNITY_SRC}/BGHash.h
-                ${UNITY_SRC}/ubus-server.cpp
-                ${UNITY_SRC}/ubus-server.h
-               )
-add_dependencies (bg-hash unity-core-${UNITY_API_VERSION})
-
-add_executable (hud
-                StandaloneHud.cpp
-                ${UNITY_SRC}/BackgroundEffectHelper.cpp
-                ${UNITY_SRC}/BackgroundEffectHelper.h
-                ${UNITY_SRC}/DashSettings.cpp
-                ${UNITY_SRC}/DashSettings.h
-                ${UNITY_SRC}/DashStyle.cpp
-                ${UNITY_SRC}/HudButton.cpp
-                ${UNITY_SRC}/HudIcon.cpp
-                ${UNITY_SRC}/HudIcon.h
-                ${UNITY_SRC}/HudIconTextureSource.cpp
-                ${UNITY_SRC}/HudIconTextureSource.h
-                ${UNITY_SRC}/HudView.cpp
-                ${UNITY_SRC}/IMTextEntry.cpp
-                ${UNITY_SRC}/Introspectable.cpp
-                ${UNITY_SRC}/IconTexture.cpp
-                ${UNITY_SRC}/IconLoader.cpp
-                ${UNITY_SRC}/IconRenderer.cpp
-                ${UNITY_SRC}/IconTextureSource.cpp
-                ${UNITY_SRC}/JSONParser.cpp
-                ${UNITY_SRC}/OverlayRenderer.cpp
-                ${UNITY_SRC}/SearchBar.cpp
-                ${UNITY_SRC}/SearchBarSpinner.cpp
-                ${UNITY_SRC}/StaticCairoText.cpp
-                ${UNITY_SRC}/TextureCache.cpp
-                ${UNITY_SRC}/Timer.cpp
-                ${UNITY_SRC}/UBusWrapper.cpp
-                ${UNITY_SRC}/ubus-server.cpp
-                ${UNITY_SRC}/UScreen.cpp
-                ${UNITY_SRC}/UScreen.h
-               )
-add_dependencies (hud unity-core-${UNITY_API_VERSION})
-
-add_executable (test-shortcut
-                TestShortcut.cpp
-                ${UNITY_SRC}/AbstractSeparator.cpp
-                ${UNITY_SRC}/AbstractSeparator.h
-                ${UNITY_SRC}/AbstractShortcutHint.h
-                ${UNITY_SRC}/Animator.cpp
-                ${UNITY_SRC}/Animator.h
-                ${UNITY_SRC}/BackgroundEffectHelper.cpp
-                ${UNITY_SRC}/BackgroundEffectHelper.h
-                ${UNITY_SRC}/LineSeparator.cpp
-                ${UNITY_SRC}/LineSeparator.h
-                ${UNITY_SRC}/MockShortcutHint.h
-                ${UNITY_SRC}/ShortcutController.cpp
-                ${UNITY_SRC}/ShortcutController.h
-                ${UNITY_SRC}/ShortcutModel.cpp
-                ${UNITY_SRC}/ShortcutModel.h
-                ${UNITY_SRC}/ShortcutView.cpp
-                ${UNITY_SRC}/ShortcutView.h
-                ${UNITY_SRC}/StaticCairoText.cpp
-                ${UNITY_SRC}/StaticCairoText.h
-                ${UNITY_SRC}/UBusMessages.h
-                ${UNITY_SRC}/ubus-server.cpp
-                ${UNITY_SRC}/ubus-server.h
-                )
-
-add_executable (tooltip
-                ui/TestTooltip.cpp
-                ${UNITY_SRC}/Introspectable.cpp
-                ${UNITY_SRC}/CairoBaseWindow.cpp
-                ${UNITY_SRC}/StaticCairoText.cpp
-                ${UNITY_SRC}/Tooltip.cpp
-                ${UNITY_SRC}/ubus-server.cpp
-                )
-add_dependencies(quicklist unity-core-${UNITY_API_VERSION})
+##add_executable (panel
+##                TestPanel.cpp
+##                ${UNITY_SRC}/Animator.cpp
+##                ${UNITY_SRC}/Animator.h
+##                ${UNITY_SRC}/BackgroundEffectHelper.cpp
+##                ${UNITY_SRC}/BackgroundEffectHelper.h
+##                ${UNITY_SRC}/DashSettings.cpp
+##                ${UNITY_SRC}/DashSettings.h
+##                ${UNITY_SRC}/PanelStyle.cpp
+##                ${UNITY_SRC}/PanelStyle.h
+##                ${UNITY_SRC}/PanelView.cpp
+##                ${UNITY_SRC}/PanelView.h
+##                ${UNITY_SRC}/PanelIndicatorsView.cpp
+##                ${UNITY_SRC}/PanelIndicatorsView.h
+##                ${UNITY_SRC}/PanelIndicatorEntryView.cpp
+##                ${UNITY_SRC}/PanelIndicatorEntryView.h
+##                ${UNITY_SRC}/PanelTitlebarGrabAreaView.h
+##                ${UNITY_SRC}/PanelTitlebarGrabAreaView.cpp
+##                ${UNITY_SRC}/PanelTray.cpp
+##                ${UNITY_SRC}/PanelTray.h
+##                ${UNITY_SRC}/Introspectable.cpp
+##                ${UNITY_SRC}/Introspectable.h
+##                ${UNITY_SRC}/PanelMenuView.cpp
+##                ${UNITY_SRC}/PanelMenuView.h
+##                ${UNITY_SRC}/Timer.cpp
+##                ${UNITY_SRC}/Timer.h
+##                ${UNITY_SRC}/StaticCairoText.cpp
+##                ${UNITY_SRC}/StaticCairoText.h
+##                ${UNITY_SRC}/WindowButtons.cpp
+##                ${UNITY_SRC}/WindowButtons.h
+##                ${UNITY_SRC}/WindowManager.cpp
+##                ${UNITY_SRC}/WindowManager.h
+##                ${UNITY_SRC}/UScreen.cpp
+##                ${UNITY_SRC}/UScreen.h
+##                ${UNITY_SRC}/UBusMessages.h
+##                ${UNITY_SRC}/UBusWrapper.cpp
+##                ${UNITY_SRC}/UBusWrapper.h
+##                ${UNITY_SRC}/ubus-server.cpp
+##                ${UNITY_SRC}/ubus-server.h
+##                )
+##add_dependencies (panel unity-core-${UNITY_API_VERSION})
+
+#add_executable (switcher
+#                TestSwitcher.cpp
+#                ${UNITY_SRC}/AbstractLauncherIcon.h
+#                ${UNITY_SRC}/AbstractIconRenderer.h
+#                ${UNITY_SRC}/SwitcherController.cpp
+#                ${UNITY_SRC}/SwitcherController.h
+#                ${UNITY_SRC}/SwitcherModel.cpp
+#                ${UNITY_SRC}/SwitcherModel.h
+#                ${UNITY_SRC}/SwitcherView.cpp
+#                ${UNITY_SRC}/SwitcherView.h
+#                ${UNITY_SRC}/LayoutSystem.h
+#                ${UNITY_SRC}/LayoutSystem.cpp
+#                ${UNITY_SRC}/WindowManager.h
+#                ${UNITY_SRC}/WindowManager.cpp
+#                ${UNITY_SRC}/IconRenderer.cpp
+#                ${UNITY_SRC}/IconRenderer.h
+#                ${UNITY_SRC}/Introspectable.cpp
+#                ${UNITY_SRC}/Introspectable.h
+#                ${UNITY_SRC}/MockLauncherIcon.h
+#                ${UNITY_SRC}/BackgroundEffectHelper.h
+#                ${UNITY_SRC}/BackgroundEffectHelper.cpp
+#                ${UNITY_SRC}/StaticCairoText.cpp
+#                ${UNITY_SRC}/StaticCairoText.h
+#                ${UNITY_SRC}/UBusMessages.h
+#                ${UNITY_SRC}/ubus-server.cpp
+#                ${UNITY_SRC}/ubus-server.h
+#                )
+#add_dependencies (switcher unity-core-${UNITY_API_VERSION})
+#
+#add_executable (launcher
+#                TestLauncher.cpp
+#                ${UNITY_SRC}/CairoBaseWindow.cpp
+#                ${UNITY_SRC}/AbstractLauncherIcon.h
+#                ${UNITY_SRC}/AbstractLauncherIcon.cpp
+#                ${UNITY_SRC}/AbstractIconRenderer.h
+#                ${UNITY_SRC}/LauncherIcon.cpp
+#                ${UNITY_SRC}/LauncherIcon.h
+#                ${UNITY_SRC}/SimpleLauncherIcon.cpp
+#                ${UNITY_SRC}/SimpleLauncherIcon.h
+#                ${UNITY_SRC}/BamfLauncherIcon.cpp
+#                ${UNITY_SRC}/BamfLauncherIcon.h
+#                ${UNITY_SRC}/BFBLauncherIcon.cpp
+#                ${UNITY_SRC}/BFBLauncherIcon.h
+#                ${UNITY_SRC}/SpacerLauncherIcon.cpp
+#                ${UNITY_SRC}/SpacerLauncherIcon.h
+#                ${UNITY_SRC}/DndData.cpp
+#                ${UNITY_SRC}/DndData.h
+#                ${UNITY_SRC}/TrashLauncherIcon.cpp
+#                ${UNITY_SRC}/TrashLauncherIcon.h
+#                ${UNITY_SRC}/Decaymulator.cpp
+#                ${UNITY_SRC}/Decaymulator.h
+#                ${UNITY_SRC}/DesktopLauncherIcon.cpp
+#                ${UNITY_SRC}/DesktopLauncherIcon.h
+#                ${UNITY_SRC}/DNDCollectionWindow.cpp
+#                ${UNITY_SRC}/DNDCollectionWindow.h
+#                ${UNITY_SRC}/DeviceLauncherIcon.cpp
+#                ${UNITY_SRC}/DeviceLauncherIcon.h
+#                ${UNITY_SRC}/DeviceLauncherSection.cpp
+#                ${UNITY_SRC}/DeviceLauncherSection.h
+#                ${UNITY_SRC}/DevicesSettings.cpp
+#                ${UNITY_SRC}/DevicesSettings.h
+#                ${UNITY_SRC}/EdgeBarrierController.h
+#                ${UNITY_SRC}/EdgeBarrierController.cpp
+#                ${UNITY_SRC}/FavoriteStore.cpp
+#                ${UNITY_SRC}/FavoriteStore.h
+#                ${UNITY_SRC}/FavoriteStoreGSettings.cpp
+#                ${UNITY_SRC}/FavoriteStoreGSettings.h
+#                ${UNITY_SRC}/FavoriteStorePrivate.cpp
+#                ${UNITY_SRC}/FavoriteStorePrivate.h
+#                ${UNITY_SRC}/HudLauncherIcon.cpp
+#                ${UNITY_SRC}/HudLauncherIcon.h
+#                ${UNITY_SRC}/IconLoader.cpp
+#                ${UNITY_SRC}/IconLoader.h
+#                ${UNITY_SRC}/IconTextureSource.h
+#                ${UNITY_SRC}/IconTextureSource.cpp
+#                ${UNITY_SRC}/LauncherOptions.cpp
+#                ${UNITY_SRC}/LauncherOptions.h
+#                ${UNITY_SRC}/LauncherEntryRemoteModel.cpp
+#                ${UNITY_SRC}/LauncherEntryRemoteModel.h
+#                ${UNITY_SRC}/LauncherEntryRemote.cpp
+#                ${UNITY_SRC}/LauncherEntryRemote.h
+#                ${UNITY_SRC}/LauncherController.cpp
+#                ${UNITY_SRC}/LauncherController.h
+#                ${UNITY_SRC}/LauncherModel.cpp
+#                ${UNITY_SRC}/LauncherModel.h
+#                ${UNITY_SRC}/Launcher.cpp
+#                ${UNITY_SRC}/Launcher.h
+#                ${UNITY_SRC}/LauncherHideMachine.cpp
+#                ${UNITY_SRC}/LauncherHideMachine.h
+#                ${UNITY_SRC}/LauncherHoverMachine.cpp
+#                ${UNITY_SRC}/LauncherHoverMachine.h
+#                ${UNITY_SRC}/LauncherDragWindow.cpp
+#                ${UNITY_SRC}/LauncherDragWindow.h
+#                ${UNITY_SRC}/GeisAdapter.cpp
+#                ${UNITY_SRC}/GeisAdapter.h
+#                ${UNITY_SRC}/WindowManager.h
+#                ${UNITY_SRC}/WindowManager.cpp
+#                ${UNITY_SRC}/IconRenderer.cpp
+#                ${UNITY_SRC}/IconRenderer.h
+#                ${UNITY_SRC}/Tooltip.cpp
+#                ${UNITY_SRC}/Tooltip.h
+#                ${UNITY_SRC}/BackgroundEffectHelper.h
+#                ${UNITY_SRC}/BackgroundEffectHelper.cpp
+#                ${UNITY_SRC}/StaticCairoText.cpp
+#                ${UNITY_SRC}/StaticCairoText.h
+#                ${UNITY_SRC}/SingleMonitorLauncherIcon.cpp
+#                ${UNITY_SRC}/SingleMonitorLauncherIcon.h
+#                ${UNITY_SRC}/SoftwareCenterLauncherIcon.cpp
+#                ${UNITY_SRC}/SoftwareCenterLauncherIcon.h
+#                ${UNITY_SRC}/Introspectable.cpp
+#                ${UNITY_SRC}/Introspectable.h
+#                ${UNITY_SRC}/PanelStyle.cpp
+#                ${UNITY_SRC}/PanelStyle.h
+#                ${UNITY_SRC}/PointerBarrier.cpp
+#                ${UNITY_SRC}/PointerBarrier.h
+#                ${UNITY_SRC}/QuicklistMenuItem.cpp
+#                ${UNITY_SRC}/QuicklistMenuItem.h
+#                ${UNITY_SRC}/QuicklistMenuItemCheckmark.cpp
+#                ${UNITY_SRC}/QuicklistMenuItemCheckmark.h
+#                ${UNITY_SRC}/QuicklistMenuItemLabel.cpp
+#                ${UNITY_SRC}/QuicklistMenuItemLabel.h
+#                ${UNITY_SRC}/QuicklistMenuItemRadio.cpp
+#                ${UNITY_SRC}/QuicklistMenuItemRadio.h
+#                ${UNITY_SRC}/QuicklistMenuItemSeparator.cpp
+#                ${UNITY_SRC}/QuicklistMenuItemSeparator.h
+#                ${UNITY_SRC}/QuicklistView.cpp
+#                ${UNITY_SRC}/QuicklistView.h
+#                ${UNITY_SRC}/QuicklistManager.cpp
+#                ${UNITY_SRC}/QuicklistManager.h
+#                ${UNITY_SRC}/TextureCache.cpp
+#                ${UNITY_SRC}/TextureCache.h
+#                ${UNITY_SRC}/Timer.cpp
+#                ${UNITY_SRC}/Timer.h
+#                ${UNITY_SRC}/UBusMessages.h
+#                ${UNITY_SRC}/UBusWrapper.cpp
+#                ${UNITY_SRC}/UBusWrapper.h
+#                ${UNITY_SRC}/ubus-server.cpp
+#                ${UNITY_SRC}/ubus-server.h
+#                ${UNITY_SRC}/UScreen.cpp
+#                ${UNITY_SRC}/UScreen.h
+#                )
+#add_dependencies (launcher unity-core-${UNITY_API_VERSION})
+#
+#add_executable (keyutil
+#                TestKeyboardUtil.cpp
+#                ${UNITY_SRC}/KeyboardUtil.h
+#                ${UNITY_SRC}/KeyboardUtil.cpp
+#                )
+#add_dependencies (keyutil unity-core-${UNITY_API_VERSION})
+#
+#add_executable (hud
+#                StandaloneHud.cpp
+#                ${UNITY_SRC}/BackgroundEffectHelper.cpp
+#                ${UNITY_SRC}/BackgroundEffectHelper.h
+#                ${UNITY_SRC}/DashSettings.cpp
+#                ${UNITY_SRC}/DashSettings.h
+#                ${UNITY_SRC}/DashStyle.cpp
+#                ${UNITY_SRC}/HudButton.cpp
+#                ${UNITY_SRC}/HudIcon.cpp
+#                ${UNITY_SRC}/HudIcon.h
+#                ${UNITY_SRC}/HudIconTextureSource.cpp
+#                ${UNITY_SRC}/HudIconTextureSource.h
+#                ${UNITY_SRC}/HudView.cpp
+#                ${UNITY_SRC}/IMTextEntry.cpp
+#                ${UNITY_SRC}/Introspectable.cpp
+#                ${UNITY_SRC}/IconTexture.cpp
+#                ${UNITY_SRC}/IconLoader.cpp
+#                ${UNITY_SRC}/IconRenderer.cpp
+#                ${UNITY_SRC}/IconTextureSource.cpp
+#                ${UNITY_SRC}/JSONParser.cpp
+#                ${UNITY_SRC}/OverlayRenderer.cpp
+#                ${UNITY_SRC}/SearchBar.cpp
+#                ${UNITY_SRC}/SearchBarSpinner.cpp
+#                ${UNITY_SRC}/StaticCairoText.cpp
+#                ${UNITY_SRC}/TextureCache.cpp
+#                ${UNITY_SRC}/Timer.cpp
+#                ${UNITY_SRC}/UBusWrapper.cpp
+#                ${UNITY_SRC}/ubus-server.cpp
+#                ${UNITY_SRC}/UScreen.cpp
+#                ${UNITY_SRC}/UScreen.h
+#               )
+#add_dependencies (hud unity-core-${UNITY_API_VERSION})
+#
+#add_executable (shortcuts
+#                TestShortcut.cpp
+#                ${UNITY_SRC}/AbstractSeparator.cpp
+#                ${UNITY_SRC}/AbstractSeparator.h
+#                ${UNITY_SRC}/AbstractShortcutHint.h
+#                ${UNITY_SRC}/Animator.cpp
+#                ${UNITY_SRC}/Animator.h
+#                ${UNITY_SRC}/BackgroundEffectHelper.cpp
+#                ${UNITY_SRC}/BackgroundEffectHelper.h
+#                ${UNITY_SRC}/LineSeparator.cpp
+#                ${UNITY_SRC}/LineSeparator.h
+#                ${UNITY_SRC}/MockShortcutHint.h
+#                ${UNITY_SRC}/ShortcutController.cpp
+#                ${UNITY_SRC}/ShortcutController.h
+#                ${UNITY_SRC}/ShortcutModel.cpp
+#                ${UNITY_SRC}/ShortcutModel.h
+#                ${UNITY_SRC}/ShortcutView.cpp
+#                ${UNITY_SRC}/ShortcutView.h
+#                ${UNITY_SRC}/StaticCairoText.cpp
+#                ${UNITY_SRC}/StaticCairoText.h
+#                ${UNITY_SRC}/UBusMessages.h
+#                ${UNITY_SRC}/ubus-server.cpp
+#                ${UNITY_SRC}/ubus-server.h
+#                )
 
 find_package (OpenGL)
 include_directories (${OPENGL_gl_INCDIRS})
@@ -558,17 +390,17 @@
 	     ${CMAKE_CURRENT_SOURCE_DIR}/GLFuncLoader.cpp)
 add_dependencies (glfuncloader unity-core-${UNITY_API_VERSION})
 target_link_libraries (glfuncloader dl ${OPENGL_gl_LIBRARY})
-add_executable (screen-effect-fbo
-		TestScreenEffectFramebufferObject.cpp
-		${UNITY_SRC}/ScreenEffectFramebufferObject.cpp
-		${UNITY_SRC}/BackgroundEffectHelper.cpp)
-
-target_link_libraries (screen-effect-fbo glfuncloader ${OPENGL_gl_LIBRARY})
-add_dependencies (screen-effect-fbo ${UNITY_API_VERSION})
 
 # Custom target to make all the other targets here, add your test to this list
-add_custom_target(standalone-clients DEPENDS dash panel launcher switcher keyutil quicklist quicklist-visuals filters filter-bar preview-applicaiton preview-generic preview-music result-view dash-style bg-hash shortcut-view tooltip)
-
-
+#add_custom_target(standalone-clients DEPENDS dash panel launcher switcher keyutil hud shortcut)
+add_custom_target(standalone-clients DEPENDS 
+                  dash 
+                  panel 
+#                  launcher 
+#                  switcher 
+#                  keyutil 
+#                  hud 
+#                  shortcut)
+)
 
 

=== added directory 'unity-shared'
=== renamed file 'plugins/unityshell/src/Animator.cpp' => 'unity-shared/Animator.cpp'
=== renamed file 'plugins/unityshell/src/Animator.h' => 'unity-shared/Animator.h'
=== renamed file 'plugins/unityshell/src/BGHash.cpp' => 'unity-shared/BGHash.cpp'
--- plugins/unityshell/src/BGHash.cpp	2012-04-10 23:41:06 +0000
+++ unity-shared/BGHash.cpp	2012-05-06 23:48:38 +0000
@@ -26,8 +26,8 @@
 #include <gdk-pixbuf/gdk-pixbuf.h>
 #include <libgnome-desktop/gnome-bg.h>
 #include <unity-misc/gnome-bg-slideshow.h>
-#include "ubus-server.h"
-#include "UBusMessages.h"
+#include "unity-shared/ubus-server.h"
+#include "unity-shared/UBusMessages.h"
 #include "UnityCore/GLibWrapper.h"
 
 namespace

=== renamed file 'plugins/unityshell/src/BGHash.h' => 'unity-shared/BGHash.h'
=== renamed file 'plugins/unityshell/src/BackgroundEffectHelper.cpp' => 'unity-shared/BackgroundEffectHelper.cpp'
=== renamed file 'plugins/unityshell/src/BackgroundEffectHelper.h' => 'unity-shared/BackgroundEffectHelper.h'
=== added file 'unity-shared/CMakeLists.txt'
--- unity-shared/CMakeLists.txt	1970-01-01 00:00:00 +0000
+++ unity-shared/CMakeLists.txt	2012-05-06 23:48:38 +0000
@@ -0,0 +1,49 @@
+set(UNITY_SRC ../plugins/unityshell/src)
+
+find_package (PkgConfig)
+
+set (CFLAGS
+     ${CACHED_UNITY_DEPS_CFLAGS}
+     ${CACHED_UNITY_DEPS_CFLAGS_OTHER}
+     ${MAINTAINER_CFLAGS}
+     "-DGETTEXT_PACKAGE=\"unity\""
+     "-I${CMAKE_CURRENT_BINARY_DIR}"
+     )
+add_definitions (${CFLAGS})
+
+set (LIBS ${CACHED_UNITY_DEPS_LIBRARIES} "-lunity-core-${UNITY_API_VERSION} -lm -lGL -lGLU")
+link_libraries (${LIBS})
+
+set (LIB_PATHS ${CACHED_UNITY_DEPS_LIBRARY_DIRS})
+link_directories (${CMAKE_BINARY_DIR}/UnityCore ${LIB_PATHS})
+
+include_directories (. .. ../services ../UnityCore ${UNITY_SRC} ${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})
+
+#
+# Headers & Sources
+#
+set (UNITY_SHARED_SOURCES
+     Animator.cpp
+     BGHash.cpp
+     BackgroundEffectHelper.cpp
+     DashSettings.cpp
+     DashStyle.cpp
+     FontSettings.cpp
+     IMTextEntry.cpp
+     IconLoader.cpp
+     IconTexture.cpp
+     Introspectable.cpp
+     IntrospectableWrappers.cpp
+     JSONParser.cpp
+     OverlayRenderer.cpp
+     StaticCairoText.cpp
+     TextureCache.cpp
+     Timer.cpp
+     UBusWrapper.cpp
+     UScreen.cpp
+     ubus-server.cpp
+     )
+
+add_library (unity-shared STATIC ${UNITY_SHARED_SOURCES})
+add_dependencies (unity-shared unity-core-${UNITY_API_VERSION})
+

=== renamed file 'plugins/unityshell/src/DashSettings.cpp' => 'unity-shared/DashSettings.cpp'
=== renamed file 'plugins/unityshell/src/DashSettings.h' => 'unity-shared/DashSettings.h'
=== renamed file 'plugins/unityshell/src/DashStyle.cpp' => 'unity-shared/DashStyle.cpp'
=== renamed file 'plugins/unityshell/src/DashStyle.h' => 'unity-shared/DashStyle.h'
=== renamed file 'plugins/unityshell/src/FontSettings.cpp' => 'unity-shared/FontSettings.cpp'
=== renamed file 'plugins/unityshell/src/FontSettings.h' => 'unity-shared/FontSettings.h'
=== renamed file 'plugins/unityshell/src/IMTextEntry.cpp' => 'unity-shared/IMTextEntry.cpp'
=== renamed file 'plugins/unityshell/src/IMTextEntry.h' => 'unity-shared/IMTextEntry.h'
=== renamed file 'plugins/unityshell/src/IconLoader.cpp' => 'unity-shared/IconLoader.cpp'
--- plugins/unityshell/src/IconLoader.cpp	2012-03-14 06:24:18 +0000
+++ unity-shared/IconLoader.cpp	2012-05-06 23:48:38 +0000
@@ -29,7 +29,7 @@
 #include <UnityCore/GLibWrapper.h>
 #include <string.h>
 
-#include "Timer.h"
+#include "unity-shared/Timer.h"
 
 namespace unity
 {

=== renamed file 'plugins/unityshell/src/IconLoader.h' => 'unity-shared/IconLoader.h'
=== renamed file 'plugins/unityshell/src/IconTexture.cpp' => 'unity-shared/IconTexture.cpp'
=== renamed file 'plugins/unityshell/src/IconTexture.h' => 'unity-shared/IconTexture.h'
--- plugins/unityshell/src/IconTexture.h	2012-04-23 00:24:08 +0000
+++ unity-shared/IconTexture.h	2012-05-06 23:48:38 +0000
@@ -28,7 +28,7 @@
 #include <NuxImage/CairoGraphics.h>
 #include <NuxGraphics/GraphicsEngine.h>
 
-#include "Introspectable.h"
+#include "unity-shared/Introspectable.h"
 
 namespace unity
 {

=== renamed file 'plugins/unityshell/src/Introspectable.cpp' => 'unity-shared/Introspectable.cpp'
=== renamed file 'plugins/unityshell/src/Introspectable.h' => 'unity-shared/Introspectable.h'
=== renamed file 'plugins/unityshell/src/IntrospectableWrappers.cpp' => 'unity-shared/IntrospectableWrappers.cpp'
=== renamed file 'plugins/unityshell/src/IntrospectableWrappers.h' => 'unity-shared/IntrospectableWrappers.h'
=== renamed file 'plugins/unityshell/src/JSONParser.cpp' => 'unity-shared/JSONParser.cpp'
=== renamed file 'plugins/unityshell/src/JSONParser.h' => 'unity-shared/JSONParser.h'
=== renamed file 'plugins/unityshell/src/OverlayRenderer.cpp' => 'unity-shared/OverlayRenderer.cpp'
--- plugins/unityshell/src/OverlayRenderer.cpp	2012-04-18 14:56:58 +0000
+++ unity-shared/OverlayRenderer.cpp	2012-05-06 23:48:38 +0000
@@ -24,12 +24,12 @@
 #include <Nux/PaintLayer.h>
 #include <NuxCore/Logger.h>
 
-#include "BackgroundEffectHelper.h"
+#include "unity-shared/BackgroundEffectHelper.h"
 #include "DashStyle.h"
-#include "DashSettings.h"
+#include "unity-shared/DashSettings.h"
 
-#include "UBusMessages.h"
-#include "UBusWrapper.h"
+#include "unity-shared/UBusMessages.h"
+#include "unity-shared/UBusWrapper.h"
 
 namespace unity
 {

=== renamed file 'plugins/unityshell/src/OverlayRenderer.h' => 'unity-shared/OverlayRenderer.h'
=== renamed file 'plugins/unityshell/src/StaticCairoText.cpp' => 'unity-shared/StaticCairoText.cpp'
=== renamed file 'plugins/unityshell/src/StaticCairoText.h' => 'unity-shared/StaticCairoText.h'
=== renamed file 'plugins/unityshell/src/TextureCache.cpp' => 'unity-shared/TextureCache.cpp'
=== renamed file 'plugins/unityshell/src/TextureCache.h' => 'unity-shared/TextureCache.h'
=== renamed file 'plugins/unityshell/src/TimeUtil.h' => 'unity-shared/TimeUtil.h'
=== renamed file 'plugins/unityshell/src/Timer.cpp' => 'unity-shared/Timer.cpp'
=== renamed file 'plugins/unityshell/src/Timer.h' => 'unity-shared/Timer.h'
=== renamed file 'plugins/unityshell/src/UBusMessages.h' => 'unity-shared/UBusMessages.h'
=== renamed file 'plugins/unityshell/src/UBusWrapper.cpp' => 'unity-shared/UBusWrapper.cpp'
=== renamed file 'plugins/unityshell/src/UBusWrapper.h' => 'unity-shared/UBusWrapper.h'
=== renamed file 'plugins/unityshell/src/UScreen.cpp' => 'unity-shared/UScreen.cpp'
=== renamed file 'plugins/unityshell/src/UScreen.h' => 'unity-shared/UScreen.h'
=== renamed file 'plugins/unityshell/src/ubus-server.cpp' => 'unity-shared/ubus-server.cpp'
=== renamed file 'plugins/unityshell/src/ubus-server.h' => 'unity-shared/ubus-server.h'
